Service echo
curl --request POST \
--url https://virtserver.swaggerhub.com/BangoProducts/MerchantInterface_Server_API/1.1.0/v1/echo/{echoRequestId} \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/BangoProducts/MerchantInterface_Server_API/1.1.0/v1/echo/{echoRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://virtserver.swaggerhub.com/BangoProducts/MerchantInterface_Server_API/1.1.0/v1/echo/{echoRequestId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text){
"responseCode": "OK",
"responseMessage": "Success",
"echo": "a25100b8-4e0c-4e37-b921-cac9cb1e930f"
}{
"responseCode": "BAD_REQUEST",
"responseMessage": "Invalid request"
}{
"responseCode": "UNAUTHORIZED",
"responseMessage": "You have not provided adequate credentials to access this resource."
}{
"responseCode": "TOO_MANY_REQUESTS",
"responseMessage": "Request limit reached. Please try again later"
}{
"responseCode": "INTERNAL_ERROR",
"responseMessage": "The server encountered an unexpected condition which prevented it from fulfilling the request"
}{
"responseCode": "SERVICE_UNAVAILABLE",
"responseMessage": "The server is undergoing maintenance and is not available. Please, try again later"
}Service echo
POST
https://virtserver.swaggerhub.com/BangoProducts/MerchantInterface_Server_API/1.1.0
/
v1
/
echo
/
{echoRequestId}
Service echo
curl --request POST \
--url https://virtserver.swaggerhub.com/BangoProducts/MerchantInterface_Server_API/1.1.0/v1/echo/{echoRequestId} \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/BangoProducts/MerchantInterface_Server_API/1.1.0/v1/echo/{echoRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://virtserver.swaggerhub.com/BangoProducts/MerchantInterface_Server_API/1.1.0/v1/echo/{echoRequestId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text){
"responseCode": "OK",
"responseMessage": "Success",
"echo": "a25100b8-4e0c-4e37-b921-cac9cb1e930f"
}{
"responseCode": "BAD_REQUEST",
"responseMessage": "Invalid request"
}{
"responseCode": "UNAUTHORIZED",
"responseMessage": "You have not provided adequate credentials to access this resource."
}{
"responseCode": "TOO_MANY_REQUESTS",
"responseMessage": "Request limit reached. Please try again later"
}{
"responseCode": "INTERNAL_ERROR",
"responseMessage": "The server encountered an unexpected condition which prevented it from fulfilling the request"
}{
"responseCode": "SERVICE_UNAVAILABLE",
"responseMessage": "The server is undergoing maintenance and is not available. Please, try again later"
}Authorizations
Basic authentication
Headers
Request unique identifier. If present, this id will be used for idempotency.
Path Parameters
Echo request identifier.

